function noise = EMG_maker(fvz,delka)
%% Příklad spuštění 

% y = EMG_maker(500,5000);
% delka = délka generovaného EMG signálu
% fvz = vzorkovací frekvence vytvořeného šumu

%% Vytvoření modelu spektra EMG signálu

P = zeros(1,length(fvz/2));
fl = [30 40 60 50]; fh = [60 100 120 150]; i = 3;
for f = 1 : fvz/2 
 P(f) = (fh(i)^4*f^2)/((f^2+fl(i)^2)*(f^2+fh(i)^2)^2);    
end

%% imp. char tvarovaciho filtru

H = [0 P fliplr(P)];
h = fftshift(real(ifft(H)));

%% Vytoreni bílého sumu a jeho filtrace

for i = 1 : 1
    RandStream.setGlobalStream(RandStream('mt19937ar','seed',sum(1000*clock)))
    x = randn(1,delka+length(h)); pause(0.001);
    y = filter(h,1,x); 
    y = y(length(h):length(h)+delka-1);
    y = y - mean(y); 
    noise = y / max(abs(y));

%     save (['EMG_model', num2str(i), '.mat'], 'noise')
end

%% vykreslení dílčích výsledků

% figure(1), plot(P), hold on
% figure(2)
% subplot(2,1,1), plot(y)
% subplot(2,1,2), stem(abs(fft(y)),'.')